//Made By Psycho

datablock ParticleData(Flamethrower2Particle)
{
	dragCoefficient      = 2.9;
	gravityCoefficient   = 0.1;
	inheritedVelFactor   = 1.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 500;
	lifetimeVarianceMS   = 100;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "0.000000 0.000000 0.100000 1.000000";
	colors[1]     = "1.000000 0.500000 0.000000 0.000000";
   	colors[2]     = "1.000000 1.000000 1.000000 1.000000";
   	colors[3]     = "1.000000 0.000000 0.000000 0.500000";

	sizes[0]      = 0.2645223;
	sizes[1]      = 0.675353;
 	sizes[2]      = 1;
 	sizes[3]      = 1;

   	times[0] = 0;
   	times[1] = 1;
   	times[2] = 2;
  	times[3] = 2;

	useInvAlpha = false;
};

datablock ParticleEmitterData(Flamethrower2Emitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 20;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 5;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   orientOnVelocity = true;
   particles = "Flamethrower2Particle";
};

datablock ParticleData(Flamethrower2bulletTrailParticle)
{
	dragCoefficient      = 3;
	gravityCoefficient   = -0.0;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 625;
	lifetimeVarianceMS   = 55;
	textureName          = "base/data/particles/thinRing";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.9 0.3 0.3 0.4";
	colors[1]     = "0.5 0.5 0.3 0.0";
	sizes[0]      = 0.10;
	sizes[1]      = 0.20;

	useInvAlpha = False;
};
datablock ParticleEmitterData(Flamethrower2bulletTrailEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 0.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "Flamethrower2bulletTrailParticle";
};
datablock ParticleData(Flamethrower2ExplosionParticle)
{
	dragCoefficient      = 2;
	gravityCoefficient   = 0.0;
	windCoefficient	   = 1;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 600;
	lifetimeVarianceMS   = 200;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 100.0;
	spinRandomMin		= -0.0;
	spinRandomMax		= 0.0;
	colors[0]     = "1.000000 0.496063 0.000000 0.496063";
	colors[1]     = "1.000000 0.496063 0.000000 0.000000";
	colors[2]     = "1.000000 1.000000 1.000000 1.000000";
	colors[3]     = "1.000000 1.000000 1.000000 1.000000";
	sizes[0]      = 0.066527;
	sizes[1]      = 0.06535;
	sizes[2]      = 1;
	sizes[3]      = 1;
	times[0]	  = 0;
	times[1]	  = 1;
	times[2]	  = 2;
	times[3]	  = 2;

	useInvAlpha = false;
};
datablock ParticleEmitterData(Flamethrower2ExplosionEmitter)
{
   ejectionPeriodMS = 40;
   periodVarianceMS = 0;
   ejectionVelocity = 3.5;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 35;
   thetaMax         = 85;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   orientOnVelocity = true;
   particles = "Flamethrower2ExplosionParticle";
};
datablock ExplosionData(Flamethrower2Explosion)
{
   //explosionShape = "";

   lifeTimeMS = 150;

   faceViewer     = true;

   particleEmitter = Flamethrower2ExplosionEmitter;
   explosionScale = "2 2 2";

   shakeCamera = false;

   // Dynamic light
   lightStartRadius = 0.066527;
   lightEndRadius = 0.06535;
   lightStartColor = "2 1.2 0";
   lightEndColor = "2 1.2 0";

   damageRadius = 0.066527;
   radiusDamage = 5;

   playerBurnTime = 3000;
};
AddDamageType("Flamethrower2",   '<bitmap:add-ons/Weapon_Flamethrower2/CI_Flamethrower2> %1',    '%2 <bitmap:add-ons/Weapon_Flamethrower2/CI_Flamethrower2> %1',0.2,1);
datablock ProjectileData(Flamethrower2Projectile)
{
   directDamage        = 15;
   directDamageType = $DamageType::Flamethrower2Direct;
   explosion           = Flamethrower2Explosion;

   muzzleVelocity      = 25;
   velInheritFactor    = 1;

   armingDelay         = 0;
   lifetime            = 300;
   fadeDelay           = 0;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = false;
   gravityMod = 0.0;
   
   uiName = "Fire";
   
};

//////////
// item //
//////////
datablock ItemData(Flamethrower2Item)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	 // Basic Item Properties
	shapeFile = "./flamethrower2.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "Flamethrower";
	iconName = "./icon_Flamethrower2";
	doColorShift = true;
	colorShiftColor = "1 0.5 0 1";

	 // Dynamic properties defined by the scripts
	image = Flamethrower2Image;
	canDrop = true;
};

////////////////
//weapon image//
////////////////
datablock ShapeBaseImageData(Flamethrower2Image)
{
   // Basic Item properties
   shapeFile = "./flamethrower2.dts";
   emap = true;
   doColorShift = true;
   colorShiftColors =  "1 0.5 0 1";
   
   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = 0; //"0.7 1.2 -0.5";
   rotation = eulerToMatrix( "0 0 0" );

   correctMuzzleVector = true;

   className = "WeaponImage";

   item = BowItem;
   ammo = " ";
   projectile = Flamethrower2Projectile;
   projectileType = Projectile;

	casing = gunShellDebris;
	shellExitDir        = "1.0 -1.3 1.0";
	shellExitOffset     = "0 0 0";
	shellExitVariance   = 15.0;	
	shellVelocity       = 7.0;

   //melee particles shoot from eye node for consistancy
   melee = false;
   //raise your arm up or not
   armReady = true;

   doColorShift = true;
   colorShiftColor = Flamethrower2Item.colorShiftColor;//"1 0.5 0 1";

	stateName[0]                     = "Activate";
	stateTransitionOnTriggerDown[0]  = "Fire";
	stateAllowImageChange[0]	   = true;
	stateSound[0]			   = weaponSwitchSound;
	stateTransitionOnTimeout[0]	   = "Ready";
	stateTimeoutValue[0]		   = 0.01;

	stateName[1]                     = "Ready";
	stateTransitionOnTriggerDown[1]  = "Fire";
	stateTimeoutValue[1]		   = 0.04;
	stateTransitionOnTimeout[1]	   = "Ready";
	stateWaitForTimeout[1]		   = true;
	stateAllowImageChange[1]	   = true;
	stateEmitter[1]			   = gunSmokeEmitter;
	stateEmitterTime[1]		   = 0.07;

	stateName[2]                     = "Fire";
	stateTransitionOnTriggerUp[2]	   = "StopFire";
	stateTransitionOnTimeout[2]	   = "Fire";
	stateTimeoutValue[2]		   = 0.04;
	stateWaitForTimeout[2]		   = true;
	stateFire[2]			   = true;
	stateAllowImageChange[2]	   = true;
	stateSound[2]			   = rocketLoopSound;
	stateScript[2]			   = "onFire";
	stateEmitter[2]			   = Flamethrower2Emitter;
	stateEmitterTime[2]		   = 0.07;
	stateSequence[2]			   = "fire";

	stateName[3] 			   = "StopFire";
	stateTransitionOnTimeout[3]	   = "Ready";
	stateWaitForTimeout[3]		   = true;
	stateAllowImageChange[3]	   = true;
	stateSequence[3]			   = "stopfire";
};